﻿using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace LD28_Warmup
{
    class Food
    {
        public Texture2D tex;
        public Vector2 pos;

        public Food(Texture2D texture, SnakePiece[] not = null)
        {
            this.tex = texture;
            newRandomPosition(not);
        }

        public void newRandomPosition(SnakePiece[] not = null)
        {
            Random ran = new Random(Guid.NewGuid().GetHashCode());
            int tile = Game.tileSize;
            int maxX = Game.screenWidth / tile;
            int maxY = Game.screenHeight / tile;
            int x = ran.Next(0, maxX) * tile;
            int y = ran.Next(0, maxY) * tile;

            this.pos = new Vector2(x, y);
            if (not != null)
                for (int i = 0; i < not.Length; i++)
                {
                    if (not[i] == null) break;
                    if (not[i].pos == this.pos) newRandomPosition();
                }
        }

        public void draw(SpriteBatch sb)
        {
            sb.Draw(tex, pos, Color.White);
        }
    }
}
